'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Drawing
Imports System.Text.RegularExpressions
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Pdf.Annotations
Imports GrapeCity.Documents.Pdf.TextMap
Imports GrapeCity.Documents.Pdf.AcroForms

'' このサンプルでは、GcPdfDocument.Redact() メソッドの使用方法を示しています。
'' FindAndRedact サンプルによって生成された PDF をロードします。
'' その後、墨消し対象としてマークが付けられた特定の領域に墨消しを適用しています。
'' なお、墨消し注釈のない元の PDF は TimeSheet によって作成されています。
Public Class ApplyRedact
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Using fs = New FileStream(Path.Combine("Resources", "PDFs", "find-and-redact.pdf"), FileMode.Open, FileAccess.Read)
            '' 墨消し注釈（墨消し用にマークされた領域）を含む PDF をロードします。
            doc.Load(fs)

            '' 墨消しを適用します。
            doc.Redact()

            '' PDF ドキュメントを保存します。
            doc.Save(stream)
            Return doc.Pages.Count
        End Using
    End Function
End Class
